//Programm for a music suitcase with programmable LED Strips (WS2812B) using the Adafruit NeoPixel library
#include <Adafruit_NeoPixel.h>      //This is the library needed for the LED Strip
#include <avr/power.h>

#define PIN            6            //Pin on the Arduino, where the DATA+ PIN of the LED Strip is connectetd to
#define NUMPIXELS      76           //Number of all LEDs you want to use (in this case 76)

int r, g, b = 0;                    //Integer for brightness of different colors
int FADESPEED = 20;                 //Fadespeed, you can adjust it to fade faster or slower
int counter = 0;                    //The counter is used for different color patterns

Adafruit_NeoPixel pixels = Adafruit_NeoPixel(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);


void setup() {
  pixels.begin();                             //Initialisation of the library
}


void loop() {

delay(FADESPEED);                             //Slowing down the loop, so it fades slower

switch(counter){                                
  case 0: if(r < 255){r++;}else{counter++;}   //Counting RED up
  break;
  case 1: if(g < 255){g++;}else{counter++;}   //Counting GREEN up
  break;
  case 2: if(r > 0){r--;}else{counter++;}     //Counting RED down
  break;
  case 3: if(b < 255){b++;}else{counter++;}   //Counting BLUE up
  break;
  case 4: if(g > 0){g--;}else{counter++;}     //Counting GREEN down
  break;
  case 5: if(r < 255){r++;}else{counter++;}   //Counting RED up
  break;  
  case 6: if(b > 0){b--;}else{counter = 0;}   //Counting BLUE down
  break;
  }

  /*HOW TO EXPAND:
   * 
   * If you want to expand or edit the color pattern you just have to expand the code and the counter,
   * like you see below, you can change r g b to any value between 0 and 255, where 0 is LED = Off and
   * 255 ist maximum on:
   * 
   * case 6: if(b > 0){b--;}else{counter++;}
   *  break;
   * case 7: if(b > 0){b--;}else{counter = 0;}
   * break;
   * 
   */

  for(int i = 0; i < NUMPIXELS ; i++){              //Small loop to adjust every LED on the strip
    pixels.setPixelColor(i, pixels.Color(r,g,b));   //The before calculated color will now be applied
  }
  pixels.show();                                    //This sends out all the colors, dont put it in the
                                                    //for loop, as it slows down everything                                      
}





